Name:           mesa-demos
Version:        8.5.0
Release:        3
Summary:        Demo applications for testing Mesa
License:        MIT
URL:            http://www.mesa3d.org
Source0:        https://mesa.freedesktop.org/archive/demos/%{version}/%{name}-%{version}.tar.bz2
Source1:        http://www.x.org/pub/individual/app/xdriinfo-1.0.4.tar.bz2
Source2:        mesad-git-snapshot.sh

Patch0:      mesa-demos-8.5.0-legal.patch
Patch1:      meson-Fix-DEMOS_DATA_DIR-when-with-system-data-files.patch
Patch2:      xdriinfo-1.0.4-glvnd.patch

BuildRequires:  gcc-c++ pkgconfig autoconf automake libtool
BuildRequires:  freeglut-devel mesa-libGL-devel mesa-libEGL-devel
BuildRequires:  mesa-libGLES-devel mesa-libgbm-devel libGLU-devel
BuildRequires:  libXext-devel
BuildRequires:  meson gcc wayland-devel wayland-protocols-devel freetype-devel

Provides:       glxinfo glxinfo%{?__isa_bits} eglinfo es2_info
Provides:       glx-utils = %{version}-%{release} egl-utils = %{version}-%{release}
Obsoletes:      glx-utils < %{version}-%{release} egl-utils < %{version}-%{release}

%description
This package provides some demo applications for testing Mesa.
It also provides the glxinfo, glxgears, eglinfo and es2_info utilities.

%package help
Summary:        Help package for %{name}
Buildarch:	noarch
Requires:       %{name} = %{version}-%{release}

%description help
This package contains some man files for %{name}.

%prep
%setup -q -n %{name}-%{version} -b1
%patch0 -p1 -b .legal
%patch1 -p1

cd ../xdriinfo-1.0.4
%patch2 -p1
cd -

rm -f src/demos/{pointblast.c,spriteblast.c}

%build
%meson \
    --bindir=%{_libdir}/mesa \
    -Dwith-system-data-files=true \
    -Dx11=enabled \
    -Dwayland=enabled \
    -Degl=enabled \
    -Dgles2=enabled \
    -Dlibdrm=enabled \
    -Dosmesa=disabled

%meson_build

cd ../xdriinfo-1.0.4
%configure
%make_build
cd -

%install
%meson_install

cd ../xdriinfo-1.0.4
%make_install
cd -

for binary_name in glxgears glxinfo eglinfo eglgears_x11 eglgears_wayland es2_info es2gears_x11 es2gears_wayland;do
  find . -name $binary_name | install -m755 `xargs` %{buildroot}%{_bindir}
done

%if 0%{?__isa_bits} != 0
find . -name glxinfo | install -m755 `xargs` %{buildroot}%{_bindir}/glxinfo%{?__isa_bits}
%endif

%files
%{_libdir}/mesa
%{_bindir}/*
%{_datadir}/%{name}/

%files help
%{_datadir}/man/man1/xdriinfo.1*

%changelog
* Tue Aug 20 2024 Wei Zhang <zhangwei@cqsoftware.com.cn> - 8.5.0-3
- Added 'Buildarch: noarch' to the help subpackage

* Wed Aug 14 2024 misaka00251 <liuxin@iscas.ac.cn> - 8.5.0-2
- Add eglgears & es2gears utilities

* Wed Dec 06 2023 Ge Wang <wang__ge@126.com> - 8.5.0-1
- Upgrade to version 8.5.0

* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 8.4.0-1
- Upgrade to version 8.4.0

* Fri Aug 07 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 8.3.0-14
- Add compilation dependency to solve compilation failure

* Wed Oct 23 2019 huzhiyu <huzhiyu1@huawei.com> - 8.3.0-13
- Package init
